# Get Webhook

## Get the Webhook Configuration

> Returns the Webhook URLs configured on the edge.\
> \
> What is webhook URL\
> A webhook URL is a specific URL endpoint that allows one system to send real-time data to another system automatically. It is a type of API used to send updates or notifications when certain events occur. Rather than constantly polling for updates, a system can be set up to "listen" for events and automatically trigger actions when those events happen.\
> \
> When a specific URL is set to "true", the system will trigger a webhook notification and send relevant data to the designated endpoint whenever the corresponding event occurs.\
> \
> cdr url - When CDR events occur, they will send alerts to webhook.\
> s1ap url - When certain s1ap events occur, it will send alerts to webhook. Ex. "s1 setup request/response" etc.\
> s6a url - When certain s6a events occur, it will send alerts to webhook. Ex. "hss disconnect/connect" etc.\
> uesubs url - When Subscriber attach detach events occurs will send alerts to webhook.

```json
{"openapi":"3.0.0","info":{"title":"Monogoto Edge User API Configuration","version":"2.0"},"tags":[{"name":"Webhook Configuration","description":"Configure and manage webhook URLs for alerts/events."}],"servers":[{"url":"https://api.monogoto.io/api"}],"security":[],"paths":{"/webhook":{"get":{"summary":"Get the Webhook Configuration","description":"Returns the Webhook URLs configured on the edge.\n\nWhat is webhook URL\nA webhook URL is a specific URL endpoint that allows one system to send real-time data to another system automatically. It is a type of API used to send updates or notifications when certain events occur. Rather than constantly polling for updates, a system can be set up to \"listen\" for events and automatically trigger actions when those events happen.\n\nWhen a specific URL is set to \"true\", the system will trigger a webhook notification and send relevant data to the designated endpoint whenever the corresponding event occurs.\n\ncdr url - When CDR events occur, they will send alerts to webhook.\ns1ap url - When certain s1ap events occur, it will send alerts to webhook. Ex. \"s1 setup request/response\" etc.\ns6a url - When certain s6a events occur, it will send alerts to webhook. Ex. \"hss disconnect/connect\" etc.\nuesubs url - When Subscriber attach detach events occurs will send alerts to webhook.","tags":["Webhook Configuration"],"responses":{"200":{"description":"Retrieved Webhook Configurations successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/WebhookConfig"}}}}}}}},"components":{"schemas":{"WebhookConfig":{"type":"object","properties":{"alerts":{"$ref":"#/components/schemas/WebhookAlerts"}},"required":["alerts"]},"WebhookAlerts":{"type":"object","properties":{"cdr":{"$ref":"#/components/schemas/WebhookAlertConfig"},"s1ap":{"$ref":"#/components/schemas/WebhookAlertConfig"},"s6a":{"$ref":"#/components/schemas/WebhookAlertConfig"},"uesubs":{"$ref":"#/components/schemas/WebhookAlertConfig"}},"required":["cdr","s1ap","s6a","uesubs"]},"WebhookAlertConfig":{"type":"object","properties":{"enabled":{"type":"boolean"},"webhook_url":{"type":"string","format":"uri"}},"required":["enabled","webhook_url"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.monogoto.io/private-networks/monogoto-edge/edge-api/get-webhook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
